// PersonLocal.java

package org.objectweb.jonas.jtests.beans.relation.rcycle;

import java.util.Collection;

import javax.ejb.EJBLocalObject;


/**
 * Person local interface
 * @author H.Joanin
 */
public interface PersonLocal extends EJBLocalObject {

    Integer getId();

    String getName();
    void setName(String name);

    int getSex();
    void setSex(int sex);

    PersonLocal getSpouse();
    void setSpouse(PersonLocal spouse);

    Collection getParents();
    void setParents(Collection parents);

    Collection getChildren();
    void setChildren(Collection parents);

    PersonLocal getGuardian();
    void setGuardian(PersonLocal guardian);

    Collection getGuardianOf();
    void setGuardianOf(Collection guardianOf);

}
